Bug 54465 - Seems to incorrectly calculate latest versions
Summary: Seems to incorrectly calculate latest versions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-09 09:58 UTC by Phil Copeland
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:34:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Copeland 2001-10-09 09:58:19 UTC
I'd a shot at updating packages from 7.1 to 7.2 but hit an oddity with
respect to version numbers

[root@bomb SRPMS]# rpm -Uvh
/usr/src/redhat/RPMS/i386/WindowMaker-0.65.1-3.i386.rpm
/usr/src/redhat/RPMS/i386/WindowMaker-libs-0.65.1-3.i386.rpm
Preparing...                ###########################################
[100%]
package WindowMaker-0.60.0-3 (which is newer than WindowMaker-0.65.1-3) is
already installed

The same can be seen for anyone updating from libProplList 0.8.xx ->
0.10.xx

This is with 
rpm-build-4.0.3-1.03
rpm-devel-4.0.3-1.03
rpm-4.0.3-1.03

Phil
=--=

Comment 1 Bill Nottingham 2001-10-09 20:30:26 UTC
old version has an epoch.


Note You need to log in before you can comment on or make changes to this bug.